%define name ksociograma
%define version 2.0.1
%define release 1mdk

Summary: Technical application for teachers
Name: %name
Version: %version
Release: %release
License: GPL
Group: Education
Url: http://ksociograma.software-libre.org/
Source: %name-%{version}.tar.bz2
BuildRoot: %_tmppath/%name-%version

%description
KSociograma is a tecnical software for teachers. It allows you 
to make sociograms, a 2-D network sociological diagram, for a 
group of students. It is very useful to know the group and prevention. 
This version is a stable version, but only with traslations to english 
and spanish. 

%prep
rm -rf $RPM_BUILD_ROOT

%setup -n %name-%{version}

%build

%configure

make

%install

%makeinstall

%find_lang %name

# Menu
mkdir -p %{buildroot}/%{_menudir}
cat > %{buildroot}/%{_menudir}/%{name} << EOF
?package(%{name}): \
command="%{_bindir}/%{name}" \
needs="X11" \
icon="education_other_section.png" \
section="More Applications/Education/Other" \
title="Ksociograma" \
longtitle="Technical application for teachers"
EOF

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%_bindir/*
%_datadir/applnk/Edutainment/*
%dir %_datadir/apps/ksociograma
%_datadir/apps/ksociograma/*.rc
%dir %_datadir/apps/ksociograma/pics
%_datadir/apps/ksociograma/pics/*
%dir %_docdir/HTML/en/ksociograma
%_docdir/HTML/en/ksociograma/*
%dir %_docdir/HTML/es/ksociograma
%_docdir/HTML/es/ksociograma/*
%_iconsdir/*/*
%_menudir/*

%changelog
* Mon Sep 06 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.0.1-1mdk
- 2.0.1

* Thu Jul 22 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.0.0-1mdk
- 2.0.0

* Thu Jun 24 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.0.0-0.20040527pre.1mdk
- new
